CURLINFO_REDIRECT_COUNT(3)

NAME
CURLINFO_REDIRECT_COUNT - get the number of redirects

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_REDIRECT_COUNT, long *countp);

DESCRIPTION
Pass a pointer to a long to receive the total number of redirections that were actually followed.

PROTOCOLS
HTTP(S)

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode res;
  curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
  curl_easy_setopt(curl, CURLOPT_FOLLOWLOCATION, 1L);
  res = curl_easy_perform(curl);
  if(res == CURLE_OK) {
    long redirects;
    curl_easy_getinfo(curl, CURLINFO_REDIRECT_COUNT, &redirects);
  }
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.9.7

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3),